Bug 141099 - Perl HTML::Parser 3.45 is released
Summary: Perl HTML::Parser 3.45 is released
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-HTML-Parser   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL: http://search.cpan.org/dist/HTML-Parser/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-29 08:32 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-01 21:38:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-11-29 08:32:56 UTC
Description of problem:
Perl HTML::Parser 3.38 was released at November 11, 2004. For more
information, please have a look to the changelog.

Version-Release number of selected component (if applicable):
perl-HTML-Parser-3.35-6

Actual results:
The following changes did it for me:

--- snipp ---
--- perl-HTML-Parser.spec       2004-06-15 16:39:58.000000000 +0200
+++ perl-HTML-Parser.spec.rsc   2004-11-29 09:33:26.000000000 +0100
@@ -1,16 +1,15 @@
 %define _use_internal_dependency_generator 0

-%define name perl-HTML-Parser
 %define real_name HTML-Parser

 Summary: A Perl module for parsing HTML.
-Name: %{name}
-Version: 3.35
-Release: 6
+Name: perl-HTML-Parser
+Version: 3.38
+Release: 1
 License: GPL or Artistic
 Group: System Environment/Libraries
-Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/HTML/%{real_name}-%{version}.tar.gz
-Url: http://search.cpan.org/search?query=HTML%3A%3AParser
+Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{real_name}-%{version}.tar.gz
+URL: http://search.cpan.org/dist/HTML-Parser/
 BuildRoot: %{_tmppath}/%{name}-buildroot/
 Requires: perl >= 5.6.0, perl-HTML-Tagset >= 3.03
 BuildRequires: perl >= 5.6.0, perl-HTML-Tagset >= 3.03
--- snapp ---

Expected results:
Upgrade to 3.38 ;-)

Comment 1 Robert Scheck 2005-03-04 22:59:44 UTC
Perl HTML::Parser 3.45 was released at January 6th, 2005; please upgrade. The 
following is working for me:

--- snipp ---
--- perl-HTML-Parser.spec       2004-11-25 21:32:47.000000000 +0100
+++ perl-HTML-Parser.spec.rsc   2005-03-04 23:57:09.000000000 +0100
@@ -1,16 +1,15 @@
 %define _use_internal_dependency_generator 0

-%define name perl-HTML-Parser
 %define real_name HTML-Parser

 Summary: A Perl module for parsing HTML.
-Name: %{name}
-Version: 3.35
-Release: 7
+Name: perl-HTML-Parser
+Version: 3.45
+Release: 1
 License: GPL or Artistic
 Group: System Environment/Libraries
-Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/HTML/%{real_name}-%{version}.tar.gz
-Url: http://search.cpan.org/search?query=HTML%3A%3AParser
+Source: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{real_name}-%{version}.tar.gz
+URL: http://search.cpan.org/dist/HTML-Parser/
 BuildRoot: %{_tmppath}/%{name}-buildroot/
 Requires: perl >= 5.6.0, perl-HTML-Tagset >= 3.03
 BuildRequires: perl >= 5.6.0, perl-HTML-Tagset >= 3.03
@@ -54,11 +53,16 @@

 %files -f perl-HTML-Parser-%{version}-filelist
 %defattr(-,root,root)
-%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/HTML
-%dir %{_libdir}/perl5/vendor_perl/%(perl -MConfig -le 'print "$Config{version}/$Config{archname}"')/auto/HTML
-
+%dir %{perl_vendorarch}/HTML
+%dir %{perl_vendorarch}/auto/HTML

 %changelog
+* Fri Mar 04 2005 Robert Scheck <redhat@linuxnetz.de> 3.45-1
+- upgrade to 3.45 (#141099)
+
+* Mon Nov 29 2004 Robert Scheck <redhat@linuxnetz.de> 3.38-1
+- upgrade to 3.38 (#141099)
+
 * Thu Nov 25 2004 Miloslav Trmac <mitr@redhat.com> - 3.35-7
 - Convert man page to UTF-8

--- snapp ---

Comment 2 Michael A. Peters 2005-03-13 22:16:05 UTC
I would like to see this updated for rawhide/fc4 as well.
The current version is needed for SlimServer 6

Comment 3 Michael Schwendt 2005-04-01 10:14:39 UTC
Signed src.rpm which cleans up the spec and also gets rid of the ugly filelist:

http://home.arcor.de/ms2002sep/tmp/perl-HTML-Parser-3.45-1.src.rpm


Note You need to log in before you can comment on or make changes to this bug.